diff options
| author | René de Hesselle <dehesselle@web.de> | 2019-08-08 20:01:15 +0000 |
|---|---|---|
| committer | René de Hesselle <dehesselle@web.de> | 2019-08-08 20:01:15 +0000 |
| commit | d5f94c56ff69f838e07474b3a398399de35701a6 (patch) | |
| tree | 636dff751c2aafd3be8d8aac51112c5036fbd63b /packaging | |
| parent | Update extensions to the latest versions (diff) | |
| download | inkscape-d5f94c56ff69f838e07474b3a398399de35701a6.tar.gz inkscape-d5f94c56ff69f838e07474b3a398399de35701a6.zip | |
Remove subshell around gtk-mac-bundler
Diffstat (limited to 'packaging')
| -rwxr-xr-x | packaging/macos/220-inkscape-package.sh | 46 |
1 files changed, 11 insertions, 35 deletions
diff --git a/packaging/macos/220-inkscape-package.sh b/packaging/macos/220-inkscape-package.sh index 9fcde5e3b..a71ea345d 100755 --- a/packaging/macos/220-inkscape-package.sh +++ b/packaging/macos/220-inkscape-package.sh @@ -19,41 +19,17 @@ run_annotated mkdir -p $ARTIFACT_DIR -( - export ARTIFACT_DIR # referenced in 'inkscape.bundle' - - BUILD_DIR=$SRC_DIR/gtk-mac-bundler.build - mkdir -p $BUILD_DIR - - cp $SRC_DIR/gtk-mac-bundler*/examples/gtk3-launcher.sh $BUILD_DIR - cp $SELF_DIR/inkscape.bundle $BUILD_DIR - cp $SELF_DIR/inkscape.plist $BUILD_DIR - cd $BUILD_DIR - - # FIXME: I don't like this at all! This is a temporary workaround, retrying - # the bundling if it fails up to 5 times. - - set +e - RESTART=0 - while [ $RESTART -lt 6 ]; do - jhbuild run gtk-mac-bundler inkscape.bundle - RC=$? - if [ $RC -eq 0 ]; then - break - else - ((RESTART++)) - SECONDS=$((RESTART*10)) - echo "Bundling failed. Restarting in $SECONDS seconds." - sleep $SECONDS - fi - done - set -e - - if [ $RC -ne 0 ]; then - echo "--- FATAL --- Bundling failed." - exit $RC - fi -) +export ARTIFACT_DIR # referenced in 'inkscape.bundle' + +BUILD_DIR=$SRC_DIR/gtk-mac-bundler.build +mkdir -p $BUILD_DIR + +cp $SRC_DIR/gtk-mac-bundler*/examples/gtk3-launcher.sh $BUILD_DIR +cp $SELF_DIR/inkscape.bundle $BUILD_DIR +cp $SELF_DIR/inkscape.plist $BUILD_DIR +cd $BUILD_DIR + +jhbuild run gtk-mac-bundler inkscape.bundle # patch library locations relocate_dependency @executable_path/../Resources/lib/inkscape/libinkscape_base.dylib $APP_EXE_DIR/Inkscape-bin |
